dbXML API

## org.dbxml.core.server
Class dbXML

    java.lang.Object
      |
      +--org.dbxml.core.server.dbXML

public final class dbXML
extends java.lang.Object

dbXML is the loading mechanism for the dbXML Database Server. It also defines some of the dbXML version-related constants.

See Also:
  `Kernel`

Field Summary
`static java.lang.String` `Author`
`static java.lang.String` `Codename`
`static java.lang.String` `Company`
`static int` `MajorVersion`
`static int` `MinorVersion`
`static java.lang.String` `PROP_CMD_HOME`
`static java.lang.String` `PROP_DBXML_HOME`
`static int` `SubMinorVersion`
`static java.lang.String` `Title`
`static java.lang.String` `URL`
`static java.lang.String` `Version`
`static java.lang.String` `Year`

Constructor Summary
`dbXML()`

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_DBXML_HOME

    public static final java.lang.String PROP_DBXML_HOME

### PROP_CMD_HOME

    public static final java.lang.String PROP_CMD_HOME

### MajorVersion

    public static final int MajorVersion

### MinorVersion

    public static final int MinorVersion

### SubMinorVersion

    public static final int SubMinorVersion

### Version

    public static final java.lang.String Version

### Codename

    public static final java.lang.String Codename

### Title

    public static final java.lang.String Title

### Author

    public static final java.lang.String Author

### Year

    public static final java.lang.String Year

### Company

    public static final java.lang.String Company

### URL

    public static final java.lang.String URL

Constructor Detail

### dbXML

    public dbXML()

Method Detail

### main

    public static void main(java.lang.String[] args)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved